### File

`packages/eui/packages/components-next/src/lib/components/eui-button/eui-button.component.ts`

### Extends

`BaseDirective`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `button[euiButton], eui-button`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-button.component.html`

### Index

###### Properties
_euiBasicButton _euiBlockButton _euiButtonBlock _euiButtonCall _euiIconButton _euiLineWrap _euiRaisedButton _isLoading
###### Inputs
e2eAttr euiBasicButton euiBlockButton euiButtonBlock euiButtonCall euiIconButton euiLineWrap euiRaisedButton isLoading
###### HostBindings
attr.role class
###### Accessors
euiBasicButton euiButtonCall euiButtonBlock euiBlockButton euiRaisedButton isLoading euiIconButton euiLineWrap

### Constructor

`constructor()`

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-button'`

euiBasicButton

euiBlockButton

euiButtonBlock

euiButtonCall

euiIconButton

euiLineWrap

euiRaisedButton

isLoading

### HostBindings

attr.role
Default value : `'button'`

class

### Properties

_euiBasicButton
Default value : `false`

_euiBlockButton
Default value : `false`

_euiButtonBlock
Default value : `false`

_euiButtonCall
Default value : `false`

_euiIconButton
Default value : `false`

_euiLineWrap
Default value : `false`

_euiRaisedButton
Default value : `false`

_isLoading
Default value : `false`

### Accessors

euiBasicButton
set `euiBasicButton(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiButtonCall
set `euiButtonCall(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiButtonBlock
set `euiButtonBlock(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiBlockButton
set `euiBlockButton(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiRaisedButton
set `euiRaisedButton(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

isLoading
set `isLoading(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiIconButton
set `euiIconButton(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiLineWrap
set `euiLineWrap(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""